package org.simantics.document.server.io;

public interface IAbstractRequestInterface {

	void init();
	void createSession(String sessionGUID, IConsole console);
	void deleteSession(String sessionGUID);
	void setInputURI(String sessionGUID, String inputURI);
	void setSessionParameter(String sessionGUID, String parameterName, Object value);
	public IJSONResult requestDocument(String document, int sequenceNumber, int pollingHint, String sessionGUID);
	public String requestDocumentURI(String alias);
	String requestCSS(String documentURI);
	int[] requestLoadingIndicatorDelay(String documentURI);
	Double requestPollingInterval(String documentURI);
	Content requestContent(String resourceURI);
	public CommandResult execute(String id, CommandContext context);
	public void subscribeDocument(String document, String sessionGUID, IDocumentListener documentListener);
	public IJSONResult readChanges(String uri, String sessionGUID, int sequenceNumber);
	public void initializeDocument(String documentURI, String sessionGUID, CommandContext context);
	public void onPoll(String sessionGUID);
}
